Description

I have discovered on my install of Ubuntu, with QGIS from Debian repos, both stable&testing that /usr/lib/qgis/crssync application uses

conversion which is sensitive to locale settings  while updating /usr/share/qgis/resources/srs.db (usually this happens while

installing/upgrading)

With a default value of LANG=ru_RU crssync updates srs.db with float digit values containing decimal separator (which is ',' comma for

LANG=ru_RU), so many CRS params becomes unusable for qgis (e.g. become '23,9,-80,1,141,3' instead of correct '23.9,-80.1,141.3')

I am not sure that textual param options (CRS definitions) should be converted this way before updating text fields in srs.db

As a result any CRS params with dots in text become unusable and qgis rendering shows wrong results.

A workaround to this bug is the manual update of srs.db just after every install/update via command 'LANG=C /usr/lib/qgis/crssync' which

overrides locale settings to C(posix) temporarily.

It is very difficult to repeat this manual update every time it happens... Please, remove this strange decimal convertion, or direct install

script to use LANG=C for crssync application. Thanks many many :)

Related issues:

Duplicated by QGIS Application - Bug report # 18938: DEB package qgis-provide... Closed 2018-05-11

History

#1 - 2015-01-19 01:24 AM - Giovanni Manghi

- Category set to Build/Install

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-09-23 10:19 PM - Jürgen Fischer

- Duplicated by Bug report #18938: DEB package qgis-providers segfaults at installation on non-English locales added

#4 - 2018-09-23 10:20 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed
